Subject: Re: [RFC PATCH] Re: Empty directories...

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 19 Jul 2007 01:38:58 -0400

Junio C Hamano <[email-masked]> wrote:
> Another issue I thought about was what you would do in the step
> 3 in the following:
> 
>  1. David says "mkdir D; git add D"; you add S_IFDIR entry in
>     the index at D;
> 
>  2. David says "date >D/F; git add D/F"; presumably you drop D
>     from the index (to keep the index more backward compatible)
>     and add S_IFREG entry at D/F.
> 
>  3. David says "git rm D/F".
> 
> Have we stopped keeping track of the "empty directory" at this
> point?

Sadly yes.  But I don't think that's what the folks who want to
track empty directories want to have happen here.

Which is why I'm thinking we just need to track the directory, as a
node in the index, even if there are files in it, and even if we got
that directory and its contained files there by just unpacking trees.

-- 
Shawn.